rem ........... Konfigurace tiskaren

rem ....... Nazvy zakladnich tiskaren, ktere se objevi v menu.
rem ....... Nazev se nize zopakuje v navesti teto davky.

set PRN1=Matrix180
set PRN2=Laser300
set PRN3=PSLaser600
set PRN4=
set PRN5=Matrix240
set PRN6=BJ300
set PRN7=Laser600
set PRN8=
set PRN9=PCX-300

rem Pozor: Prvnich 8 pismen v nazvu musi byt jedinecnych,
rem jinak DOS nerozlisuje. (viz PSLaser3 a PSLaser6)

rem ....... Vychozi tiskarna je PRN1:
if "%PRNNAME%"=="" set PRNNAME=%PRN1%

rem ....... Nasleduje konfigurace jednotlivych tiskaren. Zde je uvedeno
rem         vice tiskaren, nez se objevi v menu. Vyberte si svoji tiskarnu
rem         a pripiste jeji nazev nahoru, napriklad jako set PRN4=...
rem     VCOM   prikazova radka pro preview v rozliseni tiskarny
rem     PCOM   prikazova radka pro tisk (jmeno souboru a PORT vynechano)
rem         za tyto prikazove radky davka sama pripoji @%CNF%.cnf
rem         (uzivatelsky cnf soubor editovatelny z MNU) nebo //.
rem         Dale pripoji %MAIN% a %PORT%. Pred prikazovy radek davka
rem         pripoji volani dvidrv, aby se automaticky generovaly fonty.
rem         (podrobneji viz prints.bat)
rem     PORT   je prn nebo lpt1 nebo lpt2 nebo lpt3.
rem            Kde to nema smysl (napr. vystup do obrazku PCX), tam je
rem            uveden nazev souboru out.%EXT%.
rem     EXT    je nazev pripony souboru, pokud se uzivatel rozhodne
rem            nepouzit tiskarnu, ale vyrobit tiskovy soubor.
rem            Je-li EXT=ps, pripoji davka %PORT% v syntaxi ovladace dvips
rem            a nepouzije @%CNF%.cnf.
rem O vyznamu parametru na prikazove radce viz emtex\doc\english\dvidrv.doc
rem Pozor: Misto rovnitka pouzivejte v techto davkach a v menu dvojtecky,
rem jinak davky nebudou fungovat (napr. misto /og=600 piste /og:600).

rem Parametr /pl: odpovida vychozi instalaci CSTeXu v rezimu all.
rem Nainstaluji se knihovny bitovych map fx_cbas, lj_cbas, lj_more,
rem ljh_cbas, p6l_cbas a p6l_more. Pritom xx_cbas obsahuje CS-fonty
rem a xx_more bitove mapy zakladnich PSovych fontu. Pokud neni pozadovana
rem knihovna pritomna, nevadi: CS-fonty se dogeneruji a PSove fonty
rem v PSovem vystupu se pouziji. Bohuzel PSove fonty se samy negeneruji.

goto %PRNNAME%

:Matrix180
   rem Epson LQ, 180dpi (low resolution)
   set PORT=prn
   set EXT=lql
   set VCOM=dviscrs @p6l /pl:$DVIDRVFONTS:p6l_{cbas,more} @cs /o:2
   set PCOM=dvidot lql @p6l /pl:$DVIDRVFONTS:p6l_{cbas,more} @cs
   goto end

:Matrix360
   rem Epson LQ (24pin), 360dpi (hight resolution)
   set PORT=prn
   set EXT=lqh
   set VCOM=dviscrs @p6h @cs /o:3
   set PCOM=dvidot lqh @p6h @cs
   goto end

:Matrix240
   rem Epson FX and RX (9pin), 240x216dpi (hight resolution)
   set PORT=prn
   set EXT=fx
   set VCOM=dviscrs @fx /pl:$DVIDRVFONTS:fx_cbas @cs /o:3
   set PCOM=dvidot fx100 @fx /pl:$DVIDRVFONTS:fx_cbas @cs
   goto end

:Laser300
   rem Laser with PCL, 300dpi
   set PORT=lpt2
   set EXT=hp
   set VCOM=dviscrs @lj /pl:$DVIDRVFONTS:lj_{cbas,more} @cs /o:3
   set PCOM=dvihplj @lj /pl:$DVIDRVFONTS:lj_{cbas,more} @cs
   goto end

:Laser600
   rem Laser with PCL, 600dpi
   set PORT=lpt3
   set EXT=hp6
   set VCOM=dviscrs @ljh /pl:$DVIDRVFONTS:ljh_cbas @cs /o:4
   set PCOM=dvihplj @ljh /pl:$DVIDRVFONTS:ljh_cbas @cs /og:600 /om:2000
   goto end

:PSLaser300
   rem Laser with PostScript, 300dpi
   set PORT=prn
   set EXT=ps
   set VCOM=dviscrs @lj /pl:$DVIDRVFONTS:lj_{cbas,more} @cs /o:3
   set PCOM=%DVIPSVER% -a -Plj
   goto end

:PSLaser600
   rem Laser with PostScript, 600dpi
   set PORT=lpt3
   set EXT=ps
   set VCOM=dviscrs @ljh /pl:$DVIDRVFONTS:ljh_cbas @cs /o:4
   set PCOM=%DVIPSVER% -a -Pljh
   goto end

:DeskJet
   rem HP Deskjet (500, 550, atd.), 300dpi
   set PORT=prn
   set EXT=bj
   set VCOM=dviscrs @dj @cs /o:3
   set PCOM=dvihplj @dj @cs /op:deskjet
   goto end

:DeskJetH
   rem HP Deskjet (500, 550, atd.), 600dpi
   set PORT=prn
   set EXT=bj
   set VCOM=dviscrs @ljh /pl:$DVIDRVFONTS:ljh_cbas @cs /o:4
   set PCOM=dvihplj @ljh /pl:$DVIDRVFONTS:ljh_cbas @cs /op:deskjet /og:600
   goto end

:BJ10e
   rem Canon Bubble Jet BJ-10e, 360x360dpi
   set PORT=prn
   set EXT=bj
   set VCOM=dviscrs @bj @cs /o:3
   set PCOM=dvidot bj10eh @bj @cs /h:12in
   goto end

:BJ300
   rem Canon Bubble Jet BJ300, 360x360dpi
   set PORT=prn
   set EXT=bj
   set VCOM=dviscrs @bj @cs /o:3
   set PCOM=dvidot bj300h @bj @cs /h:12in
   goto end

:PCX-300
   set PORT=out.pcx
   set EXT=pcx
   set VCOM=dviscrs @lj /pl:$DVIDRVFONTS:lj_{cbas,more} @cs /o:3
   set PCOM=dvidot pcx @lj /pl:$DVIDRVFONTS:lj_{cbas,more} @cs
   goto end

:PCX-fax
   set PORT=out.pcx
   set EXT=pcx
   set VCOM=dviscrs @fax @cs /fl:-1 /o:2
   set PCOM=dvidot pcx @fax @cs /fl:-1
   goto end

:end

rem Pokud lokalni uzivatel prekopiruje tuto davku napriklad do
rem d:\mytex\tiskarny.bat a nastavi set MYPRINT=d:\mytex\tiskarny.bat
rem a vlastni davku v d:\mytex si pozmeni k obrazu svemu, pak ma ve sve
rem rezii konfiguraci vlastnich tiskaren. To je pouzitelne na rozsahlych
rem sitich, kde mnoho uzivatelu s mnoha ruznymi tiskarnami sdileji
rem instalaci TeXu v read-only rezimu.

